/*
 * led.c
 *
 *  Created on: 2020. 8. 3.
 *      Author: parkyj
 */

#include "main.h"
#include "led.h"
volatile uint32_t LED_TimerCnt = 0;

uint32_t LedTimerCnt_Get(){
	return LED_TimerCnt;
}
void LedTimerCnt_Set(uint32_t val){
	LED_TimerCnt = val;
}
void Boot_LED_Toggle(){ /*LED Check*/
	uint32_t Led_Cnt = LedTimerCnt_Get();
	if(Led_Cnt >= LED_TOGGLE_CNT_REF){
		HAL_GPIO_TogglePin(BOOT_LED_GPIO_Port, BOOT_LED_Pin);
		LedTimerCnt_Set(0);
	}

}
